.Combatant{
    width: 67px;
    height: 14px;
    background: url("../images/ui/combatant-plate.png") no-repeat no-repeat;
    position: absolute;
}

.Battle .Combatant {
    transform: scale(2);
    transition: opacity 0.4s;
}
.Battle .Combatant[data-active="false"] {
    opacity: 0;
}
.Battle .Combatant[data-active="true"] {
    opacity: 1;
}

.Combatant[data-team="player"] {
    left: 46px;
    top: 70px;
}

.Combatant[data-team="enemy"] {
    top: 28px;
    right: 77px;
}

.Combatant_character_crop {
    position: absolute;
    bottom: 1px;
    left: 3px;
    width: 22px;
    height: 12px;
    overflow: hidden;
}

.Combatant_character {
    display: block;
    position: absolute;
    left: -11px;
    bottom: -7px;
}

.Battle .Combatant_character_crop {
    display: none;
}

.Combatant_name {
    position: absolute;
    left:-2px;
    top:-8px;
    white-space: nowrap;
    background: var(--menu-font-color);
    color: #fff;
    font-size: 5px; /*small because component is scaled 2x in battle*/
    padding-left: 2px;
    padding-right: 2px;
    margin: 0;
}

.Combatant_type {
    position: absolute;
    left:3px;
    top:-2px;
    width:16px;
    height:16px;
}

.Combatant_life-container {
    position: absolute;
    left:20px;
    top:4px;
    width:26px;
    height:3px;
}

.Combatant_life-container > rect {
    transition: width 0.2s;
}

.Combatant_xp-container {
    position: absolute;
    left: 20px;
    top: 8px;
    width: 26px;
    height: 2px;
}

.Combatant_level {
    position: absolute;
    font-size: 12px;
    right: 2px;
    top: -1px;
    width: 17px;
    height: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #F8C594;
    border: 1px solid #A48465;
    margin: 0;
}

.Combatant_status {
    position: absolute;
    font-size: 5px;
    left: 47px;
    bottom: -3px;
    padding-left: 2px;
    padding-right: 2px;
    background: rgba(0, 0, 0, 0.8); 
    color: white;
    margin: 0;
}

.Combatant_status[data-status="saucy"] {
    color: red;
}

.Combatant_status[data-status="clumsy"] {
    color: #582a79;
}

.Mushroom {
    position: absolute;
    transform: scale(2);
    transition: opacity 0.4s, transform 0.4s;
    background: url(../images/characters/mushrooms/mushroom-shadow.png) no-repeat;
}
.Mushroom[data-team="player"] {
    bottom: 73px;
    left: 51px;
}
.Mushroom[data-team="enemy"] {
    top: 47px;
    right: 100px;
}
.Mushroom[data-active="false"] {
    opacity: 0;
    transition: translate3d(0,16px,0) scale(2);
}
.Mushroom[data-active="true"] {
    opacity: 1;
    transform: translate3d(0,0,0) scale(2);
}